Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.java
Class LocaleTypeDescriptor.LocaleComparator

    java.lang.Object
      org.hibernate.type.descriptor.java.LocaleTypeDescriptor.LocaleComparator

All Implemented Interfaces:
  Comparator<Locale>

Enclosing class:
  LocaleTypeDescriptor

    public static class LocaleTypeDescriptor.LocaleComparator

extends Object
implements Comparator<Locale>

Field Summary
`static LocaleTypeDescriptor.LocaleComparator` | `INSTANCE`

Constructor Summary
`LocaleTypeDescriptor.LocaleComparator()`

Method Summary
`int` | `compare(Locale o1, Locale o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final LocaleTypeDescriptor.LocaleComparator INSTANCE

Constructor Detail

### LocaleTypeDescriptor.LocaleComparator

    public LocaleTypeDescriptor.LocaleComparator()

Method Detail

### compare

    public int compare(Locale o1,
                       Locale o2)

  Specified by:
    `compare` in interface `Comparator<Locale>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.